# xrf Package

## `BindingEnergies` Module

## `ClassMcaTheory` Module

## `CoherentScattering` Module

`PyMca5.PyMcaPhysics.xrf.CoherentScattering.``getElementCoherentDifferentialCrossSection`(ele, theta, energy, p1=None)

`PyMca5.PyMcaPhysics.xrf.CoherentScattering.``getElementFormFactor`(ele, theta, energy)
  Usage:
    getFormFactor(ele,theta, energy):

  ele - Element theta - Scattering angle or array of scattering angles in degrees energy- Photon Energy in keV

  This routine calculates the atomic form factor in electron units using a four gaussians approximation

## `ConcentrationsTool` Module

## `ElementHtml` Module

## `Elements` Module

## `FastXRFLinearFit` Module

## `FisxHelper` Module

## `GenerateXCOMCrossSections` Module

## `IncoherentScattering` Module

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getComptonScatteringEnergy`(energy, theta)

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getElementComptonDifferentialCrossSection`(ele, theta, energy, p1=None)

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getElementComptonFormFactor`(ele, theta, energy)

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getElementIncoherentDifferentialCrossSection`(ele, theta, energy, p1=None)

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getElementIncoherentScatteringFunction`(ele, theta, energy)
  Usage:
    getIncoherentScatteringFunction(ele,theta, energy):

  ele - Element theta - Scattering angle in degrees energy- Photon Energy in keV

  This routine calculates the incoherent scattering function in electron units an interpolation to EGS4 tabulation of S(x,Z)/Z

`PyMca5.PyMcaPhysics.xrf.IncoherentScattering.``getZ`(ele)

## `KShell` Module

## `LShell` Module

## `MShell` Module

## `McaAdvancedFitBatch` Module

## `PyMcaEPDL97` Module

## `Scofield1973` Module

## `SingleLayerStrategy` Module

## `Strategies` Module

## `XRayTubeEbel` Module

## Subpackages

- XRFMC Package
  - `XMSOParser` Module
  - `XRFMCHelper` Module